# draugr.writers.mixins.embed_writer_mixin.EmbedWriterMixin

class draugr.writers.mixins.embed_writer_mixin.EmbedWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ embeds/projections(2d,3d) for interactive visualisation

  __init__()

  Methods

  `__init__`() |
  `embed`(tag, response[, metadata, label_img, step]) | eg. visualising for projections in lower dimensional space

  abstract embed(tag: str, response: Sequence, metadata: Optional [ Any ] = None, label_img: Optional [ Any ] = None, step: Optional [ int ] = None, **kwargs) → None

    > eg. visualising for projections in lower dimensional space

    > param response

    > param metadata

    > param label_img

    Parameters

      - tag –

      - step –

      - kwargs –